%define name 	vtk-data
%define realname VTKData
%define version 4.4
%define namever %(echo %version | sed 's/\\./-/')
%define release %mkrel 1

%define python_include_path $(python -c"import os,sys; print os.path.join(sys.exec_prefix, 'include', 'python' + sys.version[:3])")
%define python_library $(python -c"import os,sys; print os.path.join(sys.exec_prefix, 'lib', 'python' + sys.version[:3], 'config/libpython' + sys.version[:3] + '.a')")
%define python_site_package %(python -c"import os,sys; print os.path.join(sys.exec_prefix, 'lib', 'python' + sys.version[:3],'site-packages')")


Summary:   	Data files for VTK
Name:      	%name
Version:   	%version
Release:   	%release
# Old vtk-data was versionned with vtk, so epoch is need :(
Epoch:		1
License:   	BSD
Group:     	Graphics
Url:	   	http://public.kitware.com/VTK/
Source0:   	ftp://public.kitware.com/pub/vtk/vtk%{version}/moved_to_sourceforge/%{realname}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%name-root
BuildRequires: 	doxygen graphviz perl cvs gnuplot
BuildArch:	noarch
# to no bother with epoch
Provides:	%name = %version-%release

%description
The Visualization ToolKit (VTK) is an object oriented software system for 3D
computer graphics, image processing, and visualization. VTK includes a
textbook, a C++ class library, and several interpreted interface layers
including Tcl/Tk, Java, and Python. VTK supports a wide variety of
visualization algorithms including scalar, vector, tensor, texture, and
volumetric methods. It also supports advanced modeling techniques like
implicit modeling, polygon reduction, mesh smoothing, cutting, contouring,
and Delaunay triangulation.  Moreover, dozens of imaging algorithms have been
integrated into the system. This allows mixing 2D imaging / 3D graphics
algorithms and data.

This package contains all the data from the VTKData repository.
These data are required to run various examples from the examples package.

%prep
%setup -q -n %realname-release-%namever

%install

mkdir -p $RPM_BUILD_ROOT/%_datadir/%name
DATAVERSION=$(echo %short_version | sed 's/\./-/')
cp -a * $RPM_BUILD_ROOT/%_datadir/%name
rm -fr $RPM_BUILD_ROOT/%_datadir/%name/CVS

%files
%defattr(0644,root,root,0755)
%doc VTKData.readme
%dir %_datadir/vtk-data
%_datadir/vtk-data/Baseline
%_datadir/vtk-data/Data
%_datadir/vtk-data/VTKData.readme

%clean 
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Mar 31 2005 Olivier Thauvin <nanardon@mandrake.org> 1:4.4-1mdk
- initial release from vtk rpm
